<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_endian.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_endian.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_s_d_l__stdinc_8h_source.html">SDL_stdinc.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="begin__code_8h_source.html">begin_code.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="close__code_8h_source.html">close_code.h</a>&quot;</code><br />
</div>
<p><a href="_s_d_l__endian_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Swap to native</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>Byteswap item from the specified endianness to the native endianness. </p>
</div></td></tr>
<tr class="memitem:ae650119b14f608de5d79e0d73a444c35"><td class="memItemLeft" align="right" valign="top"><a id="ae650119b14f608de5d79e0d73a444c35"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapLE16</b>(X)&#160;&#160;&#160;(X)</td></tr>
<tr class="separator:ae650119b14f608de5d79e0d73a444c35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14265c62e134bff318afba31ec1b0911"><td class="memItemLeft" align="right" valign="top"><a id="a14265c62e134bff318afba31ec1b0911"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapLE32</b>(X)&#160;&#160;&#160;(X)</td></tr>
<tr class="separator:a14265c62e134bff318afba31ec1b0911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c6fb787318750e4e974345bd46ca4b"><td class="memItemLeft" align="right" valign="top"><a id="ae1c6fb787318750e4e974345bd46ca4b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapLE64</b>(X)&#160;&#160;&#160;(X)</td></tr>
<tr class="separator:ae1c6fb787318750e4e974345bd46ca4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b64599423c3c710550238f2ee6fe3a8"><td class="memItemLeft" align="right" valign="top"><a id="a2b64599423c3c710550238f2ee6fe3a8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapFloatLE</b>(X)&#160;&#160;&#160;(X)</td></tr>
<tr class="separator:a2b64599423c3c710550238f2ee6fe3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba916646d6a5abd082d5a21b406d3823"><td class="memItemLeft" align="right" valign="top"><a id="aba916646d6a5abd082d5a21b406d3823"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapBE16</b>(X)&#160;&#160;&#160;SDL_Swap16(X)</td></tr>
<tr class="separator:aba916646d6a5abd082d5a21b406d3823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a2c8f38728448268d6d881f4a699d54"><td class="memItemLeft" align="right" valign="top"><a id="a2a2c8f38728448268d6d881f4a699d54"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapBE32</b>(X)&#160;&#160;&#160;SDL_Swap32(X)</td></tr>
<tr class="separator:a2a2c8f38728448268d6d881f4a699d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc75cbc3e0bbf00dfd438e2186b91b03"><td class="memItemLeft" align="right" valign="top"><a id="acc75cbc3e0bbf00dfd438e2186b91b03"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapBE64</b>(X)&#160;&#160;&#160;SDL_Swap64(X)</td></tr>
<tr class="separator:acc75cbc3e0bbf00dfd438e2186b91b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12efebb66799de3703518e127361cfb7"><td class="memItemLeft" align="right" valign="top"><a id="a12efebb66799de3703518e127361cfb7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapFloatBE</b>(X)&#160;&#160;&#160;SDL_SwapFloat(X)</td></tr>
<tr class="separator:a12efebb66799de3703518e127361cfb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">The two types of endianness</h2></td></tr>
<tr class="memitem:ad2b20e63545e73207b007b03bf08c2df"><td class="memItemLeft" align="right" valign="top"><a id="ad2b20e63545e73207b007b03bf08c2df"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_LIL_ENDIAN</b>&#160;&#160;&#160;1234</td></tr>
<tr class="separator:ad2b20e63545e73207b007b03bf08c2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af22db189169b9aa7e356bf26b2a553f6"><td class="memItemLeft" align="right" valign="top"><a id="af22db189169b9aa7e356bf26b2a553f6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_BIG_ENDIAN</b>&#160;&#160;&#160;4321</td></tr>
<tr class="separator:af22db189169b9aa7e356bf26b2a553f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0582882a281bd6c7580e454be3595703"><td class="memItemLeft" align="right" valign="top"><a id="a0582882a281bd6c7580e454be3595703"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_BYTEORDER</b>&#160;&#160;&#160;SDL_LIL_ENDIAN</td></tr>
<tr class="separator:a0582882a281bd6c7580e454be3595703"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a157cb22d3cc4b3f623822b15c3921e54"><td class="memItemLeft" align="right" valign="top"><a id="a157cb22d3cc4b3f623822b15c3921e54"></a>
SDL_FORCE_INLINE Uint16&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_Swap16</b> (Uint16 x)</td></tr>
<tr class="separator:a157cb22d3cc4b3f623822b15c3921e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f516a794e03b48778c9fcf41ddfe026"><td class="memItemLeft" align="right" valign="top"><a id="a0f516a794e03b48778c9fcf41ddfe026"></a>
SDL_FORCE_INLINE Uint32&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_Swap32</b> (Uint32 x)</td></tr>
<tr class="separator:a0f516a794e03b48778c9fcf41ddfe026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ffaae586753b46ec5df4e601702324a"><td class="memItemLeft" align="right" valign="top"><a id="a5ffaae586753b46ec5df4e601702324a"></a>
SDL_FORCE_INLINE Uint64&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_Swap64</b> (Uint64 x)</td></tr>
<tr class="separator:a5ffaae586753b46ec5df4e601702324a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0f2d51e5ca5b27627ffc46ec892ce2"><td class="memItemLeft" align="right" valign="top"><a id="a5f0f2d51e5ca5b27627ffc46ec892ce2"></a>
SDL_FORCE_INLINE float&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_SwapFloat</b> (float x)</td></tr>
<tr class="separator:a5f0f2d51e5ca5b27627ffc46ec892ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Functions for reading and writing endian-specific values</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
